### Struct

# Qmi MessageLocSetServerInput

since: 1.22

#### Description [src]

    struct QmiMessageLocSetServerInput {
      /* No available fields */
    }

The `QmiMessageLocSetServerInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.22

#### Constructors

###### qmi_message_loc_set_server_input_new

Allocates a new `QmiMessageLocSetServerInput`.

since: 1.22

#### Instance methods

###### qmi_message_loc_set_server_input_get_ipv4

Get the ‘IPv4’ field from `self`.

since: 1.22

###### qmi_message_loc_set_server_input_get_ipv6

Get the ‘IPv6’ field from `self`.

since: 1.22

###### qmi_message_loc_set_server_input_get_server_type

Get the ‘Server Type’ field from `self`.

since: 1.22

###### qmi_message_loc_set_server_input_get_url

Get the ‘URL’ field from `self`.

since: 1.22

###### qmi_message_loc_set_server_input_ref

Atomically increments the reference count of `self` by one.

since: 1.22

###### qmi_message_loc_set_server_input_set_ipv4

Set the ‘IPv4’ field in the message.

since: 1.22

###### qmi_message_loc_set_server_input_set_ipv6

Set the ‘IPv6’ field in the message.

since: 1.22

###### qmi_message_loc_set_server_input_set_server_type

Set the ‘Server Type’ field in the message.

since: 1.22

###### qmi_message_loc_set_server_input_set_url

Set the ‘URL’ field in the message.

since: 1.22

###### qmi_message_loc_set_server_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.22